'use strict';
angular.module('LMJSONAnwendung', [])
    .controller('JSONCtrl', function($scope, $http) {
        $scope.kontakte = [];
        $scope.meldung = '';
        $scope.suche = '';

        $scope.ladeKontakte = function() {
            $http({method: 'GET', url: 'kontakte.json'}).
                success(function(data, status) {
                    $scope.kontakte = data;
                }).
                error(function(data, status) {
                    $scope.meldung = "Laden der Kontakte fehlgeschlagen (" + status + ")";
                });
        };
    });

