'use strict';
angular.module('LMViewAnwendung', ['ngRoute']).
    config(['$routeProvider', function($routeProvider) {
            $routeProvider.when('/view1', {templateUrl: 'partials/view1.html', controller: 'View1Ctrl'});
            $routeProvider.when('/view2', {templateUrl: 'partials/view2.html', controller: 'View2Ctrl'});
            $routeProvider.otherwise({redirectTo: '/view1'});
        }]).
    controller('NavCtrl', function($scope, $location) {
        $scope.isActive = function(viewLocation) {
            var active = (viewLocation === $location.path());
            return active;
        };
    }).
    controller('View1Ctrl', function($scope) {
        $scope.titel = 'Titel 1';
    }).
    controller('View2Ctrl', function($scope) {
        $scope.titel = 'Titel 2';
    });
